Type to search.

Stop async ES|QL query

  • POST /_query/async/{id}/stop
Auth

This API interrupts the query execution and returns the results so far. If the Elasticsearch security features are enabled, only the user who first submitted the ES|QL query can stop it.

More about ES|QL reference

Required privileges

Index privileges read

Path parameters

id string required

The unique identifier of the query. A query ID is provided in the ES|QL async query API response for a query that does not complete in the designated time. A query ID is also provided when the request was submitted with the keep_on_completion parameter set to true.

Query parameters

drop_null_columns boolean · default: false

Indicates whether columns that are entirely null will be removed from the columns and values portion of the results. If true, the response will include an extra section under the name all_columns which has the name of all the columns.

Response

application/json
took number
is_partial boolean
columns object[] required
name string required
type string required
values union oneOf[] required
One of: number or string or boolean
profile object

Profiling information. Present if profile was true in the request. The contents of this field are currently unstable.

id string

The ID of the async query, to be used in subsequent requests to check the status or retrieve results.

Also available in the X-Elasticsearch-Async-Id HTTP header.

is_running boolean required

Indicates whether the async query is still running or has completed.

Also available in the X-Elasticsearch-Async-Is-Running HTTP header.